﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectTypeGuids>{EFBA0AD7-5A72-4C68-AF49-83D382785DCF};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <ProjectGuid>{E48AD3CB-1290-4A93-AFFC-9B9E8D0FE5E0}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>XamarinForms.QbChat.Android</RootNamespace>
    <MonoAndroidAssetsPrefix>Assets</MonoAndroidAssetsPrefix>
    <MonoAndroidResourcePrefix>Resources</MonoAndroidResourcePrefix>
    <AndroidResgenClass>Resource</AndroidResgenClass>
    <AndroidResgenFile>Resources\Resource.designer.cs</AndroidResgenFile>
    <AndroidApplication>True</AndroidApplication>
    <AndroidUseLatestPlatformSdk>False</AndroidUseLatestPlatformSdk>
    <AssemblyName>XamarinForms.Qmunicate.Android</AssemblyName>
    <AndroidManifest>Properties\AndroidManifest.xml</AndroidManifest>
    <TargetFrameworkVersion>v6.0</TargetFrameworkVersion>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug</OutputPath>
    <DefineConstants>DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AndroidLinkMode>None</AndroidLinkMode>
    <ConsolePause>false</ConsolePause>
    <RunCodeAnalysis>false</RunCodeAnalysis>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>full</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AndroidUseSharedRuntime>false</AndroidUseSharedRuntime>
    <ConsolePause>false</ConsolePause>
    <RunCodeAnalysis>false</RunCodeAnalysis>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core" />
    <Reference Include="Mono.Android" />
    <Reference Include="bouncy_castle_hmac_sha_pcl">
      <HintPath>..\..\packages\BouncyCastle-PCL.1.0.0.6\lib\bouncy_castle_hmac_sha_pcl.dll</HintPath>
    </Reference>
    <Reference Include="SQLite.Net">
      <HintPath>..\..\packages\SQLite.Net.Core-PCL.3.1.1\lib\portable-win8+net45+wp8+wpa81+MonoAndroid1+MonoTouch1\SQLite.Net.dll</HintPath>
    </Reference>
    <Reference Include="SQLite.Net.Platform.XamarinAndroid">
      <HintPath>..\..\packages\SQLite.Net-PCL.3.1.1\lib\MonoAndroid\SQLite.Net.Platform.XamarinAndroid.dll</HintPath>
    </Reference>
    <Reference Include="Splat">
      <HintPath>..\..\packages\Splat.1.6.2\lib\monoandroid\Splat.dll</HintPath>
    </Reference>
    <Reference Include="Acr.Support.Android">
      <HintPath>..\..\packages\Acr.Support.1.1.1\lib\MonoAndroid10\Acr.Support.Android.dll</HintPath>
    </Reference>
    <Reference Include="Acr.UserDialogs">
      <HintPath>..\..\packages\Acr.UserDialogs.4.2.1\lib\MonoAndroid10\Acr.UserDialogs.dll</HintPath>
    </Reference>
    <Reference Include="Acr.UserDialogs.Interface">
      <HintPath>..\..\packages\Acr.UserDialogs.4.2.1\lib\MonoAndroid10\Acr.UserDialogs.Interface.dll</HintPath>
    </Reference>
    <Reference Include="AndHUD">
      <HintPath>..\..\packages\Acr.UserDialogs.4.2.1\lib\MonoAndroid10\AndHUD.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json">
      <HintPath>..\..\packages\Newtonsoft.Json.8.0.3\lib\portable-net40+sl5+wp80+win8+wpa81\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Behaviors, Version=1.2.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Forms.Behaviors.1.3.1\lib\Xamarin.Behaviors.dll</HintPath>
    </Reference>
    <Reference Include="Sockets.Plugin, Version=1.3.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\rda.SocketsForPCL.1.2.2\lib\MonoAndroid10\Sockets.Plugin.dll</HintPath>
    </Reference>
    <Reference Include="Sockets.Plugin.Abstractions, Version=1.3.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\rda.SocketsForPCL.1.2.2\lib\MonoAndroid10\Sockets.Plugin.Abstractions.dll</HintPath>
    </Reference>
    <Reference Include="FormsViewGroup, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Forms.2.1.0.6529\lib\MonoAndroid10\FormsViewGroup.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Android.Support.v7.AppCompat, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Android.Support.v7.AppCompat.23.0.1.3\lib\MonoAndroid403\Xamarin.Android.Support.v7.AppCompat.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Android.Support.v7.CardView, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Android.Support.v7.CardView.23.0.1.3\lib\MonoAndroid403\Xamarin.Android.Support.v7.CardView.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Android.Support.v7.MediaRouter, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Android.Support.v7.MediaRouter.23.0.1.3\lib\MonoAndroid403\Xamarin.Android.Support.v7.MediaRouter.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Forms.Core, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Forms.2.1.0.6529\lib\MonoAndroid10\Xamarin.Forms.Core.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Forms.Platform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Forms.2.1.0.6529\lib\MonoAndroid10\Xamarin.Forms.Platform.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Forms.Platform.Android, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Forms.2.1.0.6529\lib\MonoAndroid10\Xamarin.Forms.Platform.Android.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Forms.Xaml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Forms.2.1.0.6529\lib\MonoAndroid10\Xamarin.Forms.Xaml.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Android.Support.Design, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Android.Support.Design.23.0.1.3\lib\MonoAndroid403\Xamarin.Android.Support.Design.dll</HintPath>
    </Reference>
    <Reference Include="Xamarin.Android.Support.v4, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\..\packages\Xamarin.Android.Support.v4.23.0.1.3\lib\MonoAndroid403\Xamarin.Android.Support.v4.dll</HintPath>
    </Reference>
    <Reference Include="Quickblox.Sdk">
      <HintPath>..\..\packages\Quickblox.Sdk.1.2.2\lib\MonoAndroid10\Quickblox.Sdk.dll</HintPath>
    </Reference>
    <Reference Include="Quickblox.Sdk.Platform.Abstractions">
      <HintPath>..\..\packages\Quickblox.Sdk.1.2.2\lib\MonoAndroid10\Quickblox.Sdk.Platform.Abstractions.dll</HintPath>
    </Reference>
    <Reference Include="Quickblox.Sdk.Platform.Android">
      <HintPath>..\..\packages\Quickblox.Sdk.1.2.2\lib\MonoAndroid10\Quickblox.Sdk.Platform.Android.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="QmunicateApplication.cs" />
    <Compile Include="App\Activity\FormsActivity.cs" />
    <Compile Include="AndroidDeviceUid.cs" />
    <Compile Include="SqliteAndroid.cs" />
    <Compile Include="Resources\Resource.designer.cs" />
    <Compile Include="App\Activity\SplashActivity.cs" />
    <Compile Include="App\Render\WrapLabelRender.cs" />
    <Compile Include="App\Render\CheckBoxRenderer.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Resources\AboutResources.txt" />
    <None Include="Properties\AndroidManifest.xml" />
    <None Include="Assets\AboutAssets.txt" />
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <AndroidResource Include="Resources\values\Strings.xml" />
    <AndroidResource Include="Resources\drawable\ic_launcher.png" />
    <AndroidResource Include="Resources\drawable\AvatarPlaceholder.png" />
    <AndroidResource Include="Resources\drawable\ic_settings.png" />
    <AndroidResource Include="Resources\drawable\Splash.xml" />
    <AndroidResource Include="Resources\drawable\app_logo.png" />
    <AndroidResource Include="Resources\drawable\ic_action_new.png" />
    <AndroidResource Include="Resources\drawable\ic_room.png" />
    <AndroidResource Include="Resources\drawable\ic_user.png" />
    <AndroidResource Include="Resources\drawable\incoming_message_bg.9.png" />
    <AndroidResource Include="Resources\drawable\outgoing_message_bg.9.png" />
    <AndroidResource Include="Resources\drawable\qb_splash_bg.png" />
    <AndroidResource Include="Resources\drawable\qb_splash_hero.png" />
    <AndroidResource Include="Resources\drawable\qb_splash_link.png" />
    <AndroidResource Include="Resources\values\style.xml" />
    <AndroidResource Include="Resources\values\Colors.xml" />
    <AndroidResource Include="Resources\drawable-hdpi\Icon.png" />
    <AndroidResource Include="Resources\drawable-hdpi\ic_launcher.png" />
    <AndroidResource Include="Resources\drawable-mdpi\Icon.png" />
    <AndroidResource Include="Resources\drawable-mdpi\ic_launcher.png" />
    <AndroidResource Include="Resources\drawable-xhdpi\Icon.png" />
    <AndroidResource Include="Resources\drawable-xhdpi\ic_launcher.png" />
    <AndroidResource Include="Resources\drawable-xxhdpi\Icon.png" />
    <AndroidResource Include="Resources\drawable-xxhdpi\ic_launcher.png" />
    <AndroidResource Include="Resources\drawable-xxxhdpi\Icon.png" />
    <AndroidResource Include="Resources\drawable-xxxhdpi\ic_launcher.png" />
    <AndroidResource Include="Resources\drawable-hdpi\ic_action_logout.png" />
    <AndroidResource Include="Resources\drawable-mdpi\ic_action_logout.png" />
    <AndroidResource Include="Resources\drawable-xhdpi\ic_action_logout.png" />
    <AndroidResource Include="Resources\drawable-xxhdpi\ic_action_logout.png" />
    <AndroidResource Include="Resources\drawable\groupholder.png" />
    <AndroidResource Include="Resources\drawable\privateholder.png" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Resources\layout\" />
  </ItemGroup>
  <Import Project="$(MSBuildExtensionsPath)\Xamarin\Android\Xamarin.Android.CSharp.targets" />
  <Import Project="..\..\packages\Microsoft.Bcl.Build.1.0.21\build\Microsoft.Bcl.Build.targets" Condition="Exists('..\..\packages\Microsoft.Bcl.Build.1.0.21\build\Microsoft.Bcl.Build.targets')" />
  <ItemGroup>
    <ProjectReference Include="..\..\QbChat.Pcl\QbChat.Pcl.csproj">
      <Project>{56BDA7BA-4E03-485A-B1AD-283ABB6A29DE}</Project>
      <Name>QbChat.Pcl</Name>
    </ProjectReference>
    <ProjectReference Include="..\XamarinForms.QbChat\XamarinForms.QbChat.csproj">
      <Project>{67F9D3A8-F71E-4428-913F-C37AE82CDB24}</Project>
      <Name>XamarinForms.QbChat</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="..\..\packages\Xamarin.Forms.2.1.0.6529\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets" Condition="Exists('..\..\packages\Xamarin.Forms.2.1.0.6529\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Use NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\..\packages\Xamarin.Forms.2.1.0.6529\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets')" Text="$([System.String]::Format('$(ErrorText)', '..\..\packages\Xamarin.Forms.2.1.0.6529\build\portable-win+net45+wp80+win81+wpa81+MonoAndroid10+MonoTouch10+Xamarin.iOS10\Xamarin.Forms.targets'))" />
  </Target>
</Project>